import { errorOrigin } from './types';
import { ValidationErrorItem } from 'joi';
export declare class ParamsException extends Error {
    prop: undefined | string;
    isJoi: boolean;
    joiErrorDetail?: ValidationErrorItem;
    constructor({ prop, message, isJoi, joiErrorDetail, }: {
        prop?: undefined | string;
        message: string;
        isJoi?: boolean;
        joiErrorDetail?: ValidationErrorItem;
    });
}
export declare class ApiException extends Error {
    code?: number;
    origin?: errorOrigin;
    extraInfo?: any;
    constructor(e: {
        code?: number;
        message: string;
        origin?: errorOrigin;
        extraInfo?: any;
    });
}
export declare class ServiceException extends Error {
    origin?: errorOrigin;
    extraInfo?: any;
    constructor(e: {
        message: string;
        origin: errorOrigin;
        extraInfo?: any;
    });
}
