"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ServiceException = exports.ApiException = exports.ParamsException = void 0;
/* eslint-disable max-classes-per-file */
const types_1 = require("./types");
class ParamsException extends Error {
    constructor({ prop, message, isJoi = false, joiErrorDetail, }) {
        super();
        this.name = types_1.Exception.ParamsException;
        this.message = message;
        this.prop = prop;
        this.isJoi = isJoi;
        this.joiErrorDetail = joiErrorDetail;
    }
}
exports.ParamsException = ParamsException;
class ApiException extends Error {
    constructor(e) {
        super();
        this.name = types_1.Exception.ApiException;
        this.code = e.code;
        this.message = e.message;
        this.origin = e.origin;
        this.extraInfo = e.extraInfo;
    }
}
exports.ApiException = ApiException;
class ServiceException extends Error {
    constructor(e) {
        super();
        this.name = types_1.Exception.ServiceException;
        this.message = e.message;
        this.origin = e.origin;
        this.extraInfo = e.extraInfo;
    }
}
exports.ServiceException = ServiceException;
