"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.isEmpty = void 0;
const lodash_1 = __importDefault(require("lodash"));
function isEmpty(target) {
    if (lodash_1.default.isUndefined(target) || lodash_1.default.isNull(target)) {
        return true;
    }
    if (lodash_1.default.isString(target)) {
        return target.trim().length === 0;
    }
    if (lodash_1.default.isObject(target)) {
        return Object.keys(target).length === 0;
    }
    if (lodash_1.default.isArray(target)) {
        return target.length === 0;
    }
    return false;
}
exports.isEmpty = isEmpty;
