import _ from 'lodash';

export function isEmpty(target: any): boolean {
  if (_.isUndefined(target) || _.isNull(target)) {
    return true;
  }

  if (_.isString(target)) {
    return target.trim().length === 0;
  }

  if (_.isObject(target)) {
    return Object.keys(target).length === 0;
  }

  if (_.isArray(target)) {
    return target.length === 0;
  }

  return false;
}
